Subject: Re: Last Call: draft-ietf-behave-nat-behavior-discovery (NATBehavior Discovery Using STUN) to Experimental RFC

From: Cullen Jennings <[email-masked]>
Date: Wed, 26 Aug 2009 22:42:09 -0600

On Apr 14, 2009, at 20:38 , Bruce Lowekamp wrote:

> > Many of the NATs out there you
> > can not make this determination without multiple IP addresses  
> behind the
> > NAT.
>
> So you're right that you can test for a few more bizarre NAT behaviors
> with multiple IP addresses, but I haven't seen any evidence suggesting
> those behaviors are present in most NATs.

In draft-jennings-behave-test-results-04.txt (google it, it's  
expired), you will note all the NATs where the Sec behavior is  
different than Prim behavior in the results table are NATs where you  
need more than one IP to characterize them. This includes NATs from  
Airlink, Cisco, Linksys, SMC, and Toshiba. Other unpublished testing  
has revealed it is many NATs from other vendors also work this way.

Cullen